Bug 8845 - check_published_printers: Could not create system session_info
check_published_printers: Could not create system session_info
Status: RESOLVED FIXED
Product: Samba 3.6
Classification: Unclassified
Component: Printing
3.6.3
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-05 15:41 UTC by Ralph Wuerthner
Modified: 2012-04-10 18:59 UTC (History)
0 users

See Also:


Attachments
Proposed patch. (1.73 KB, patch)
2012-04-05 15:41 UTC, Ralph Wuerthner
asn: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ralph Wuerthner 2012-04-05 15:41:55 UTC
Created attachment 7434 [details]
Proposed patch.

We noticed in Samba 3.6.3 the following error messages during smbd startup:

[2012/04/04 16:29:50.511526,  0] printing/nt_printing_ads.c:360(check_published_printers)
  check_published_printers: Could not create system session_info
[2012/04/04 16:29:50.512101,  0] printing/nt_printing.c:102(nt_printing_init)
  nt_printing_init: error checking published printers: WERR_ACCESS_DENIED

It turned out that commit 62a2a9 "s3-smbd: Regroup some init functions." by
Andreas Schneider <asn at samba.org> caused theses error messages.

I wrote the attached patch to reorder print_backend_init() behind
init_system_info(). Is this working as expected or does it cause a
catastrophic malfunction in Samba? See also my posting in samba-technical https://lists.samba.org/archive/samba-technical/2012-April/082519.html

Regards

    Ralph
Comment 1 Christian Ambach 2012-04-05 16:04:14 UTC
Andreas, could you review the patch as you did the initial change of the init ordering?
Comment 2 Andreas Schneider 2012-04-10 06:41:26 UTC
Comment on attachment 7434 [details]
Proposed patch.

Looks fine for me.
Comment 3 Christian Ambach 2012-04-10 07:56:48 UTC
Karolin,

please pick for 3.6.next
Comment 4 Karolin Seeger 2012-04-10 18:59:07 UTC
Pushed to v3-6-test.
Closing out bug report.

Thanks!